#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    int n,m;
    cin>>n>>m;
    int a[n];
    for(int i=0;i<n;++i)
    {
        cin>>a[i];
    }
    long long ans=0;
    for(int k=0;k<m;++k)
    {
        int i,j;
        cin>>i>>j;
        int x=a[i-1];
        int y=a[j-1];
        if(((x>=0)&&(y>=0))||((x<0)&&(y<0)))
        {
            ans+=1ll*abs(x)+abs(y);
        }
        else
            ans+=abs(abs(x)-abs(y));
    }

    cout<<ans<<endl;

}